library(pbdDMAT, quiet = TRUE)
init.grid()

Y <- diag(1:6, type = "ddmatrix")

comm.cat("class of Y on each process:\n", quiet = TRUE)
comm.print(class(Y), all.rank = TRUE)

comm.cat("\nprint:\n", quiet = TRUE)
print(Y)

comm.cat("\nprint with all = TRUE:\n", quiet = TRUE)
print(Y, all = TRUE)

X <- as.matrix(Y, proc.dest = 0)
comm.cat("\nConverted to regular matrix:\n", quiet = TRUE)
comm.print(X, proc.rank = 0, quiet = TRUE)

finalize()

