library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()
.hostname <- Sys.info()["nodename"]

comm.cat("About to say hello from all processes...\n")

msg <- sprintf("Hello from ID %d on host %s of %d processes!\n",
	.comm.rank, .hostname, .comm.size)
comm.cat(msg, all.rank = TRUE)

comm.cat(msg, rank.print = 0)
comm.cat(msg, rank.print = 1)

finalize()
