library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()

A <- matrix(.comm.rank, 3, 3)

if(.comm.rank == 0) {
	cat("At ID 0, my matrix is:\n")
	print(A)

	for (id in seq(1, .comm.size-1))
	{
		y <- recv(rank.source = id)
		cat("At ID 0, recv'ed matrix from ID", id, ":\n")
		print(y)
	}
} else {
	send(A, rank.dest = 0)
}

finalize()
