library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()

dat0 <- NULL
if (.comm.rank == 0)
{
	filename <- "../../../data/HondaOdysseyData.csv"
	dat0 <- read.table(filename, sep = ",", head = TRUE)
}

dat <- bcast(dat0, rank.source = 0)
comm.print(dat, all.rank = TRUE)

finalize()
