library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()
.hostname <- Sys.info()["nodename"]

msg <- sprintf("Hello from ID %d on host %s of %d processes",
	.comm.rank, .hostname, .comm.size)
msgs <- gather(msg)

# We get back a list data structure by default
comm.print(msgs)

# unlist turns it into a vector
comm.print(unlist(msgs))

finalize()
