library(bootstrap)
set.seed(1234)

n <- nrow(law82)
B <- 500
T.boot <- numeric(B)

for (b in 1:B)
{
	idx <- sample(1:n, replace = TRUE)
	LSAT.boot <- law82$LSAT[idx]
	GPA.boot <- law82$GPA[idx]
	T.boot[b] <- cor(LSAT.boot, GPA.boot)
}

print(T.boot)

se.boot <- sd(T.boot)
cat("se.boot =", se.boot, "\n")
